#ifndef DATA_H
#define DATA_H

typedef struct {
	gboolean lock_gray;

	gint by;
	gint gy;
	gint wy;

	gint bu;
	gint gu;
	gint wu;

	gint bv;
	gint gv;
	gint wv;

	gint outb;
	gint outw;

	gint saturation;
} yuvValues;

typedef struct {
	gboolean prev_in_image;
	gboolean vectorscope_enable;

} persistantValues;


void update_values (void);

gboolean
on_values_changed (GtkWidget * widget,
				   GdkEventButton * event, gpointer user_data);

extern yuvValues pv;
extern persistantValues pp;
extern gchar *vectorscope_data;

#endif
